# TODO - UnixODBC for voicemail
%define oldconflict() \
Conflicts: seirospbx1.3-%1 \
Obsoletes: seirospbx1.3-%1 \
Conflicts: seirospbx1.4-%1 \
Obsoletes: seirospbx1.4-%1 \
Conflicts: asterisk1.3-%1 \
Obsoletes: asterisk1.3-%1 \
Conflicts: asterisk-%1 \
Obsoletes: asterisk-%1 \
%nil

%define modules_dir	/usr/lib/asterisk/modules
%define svndate		20070713
%define spandsp		0.0.4-alt1.20070708

%def_with		snmp
%def_with		speex
%def_with		curl
%def_with		postgresql
%def_with		misdn
%def_with		odbc
%def_with		h323

Name: asterisk1.4
Summary: Open source PBX
Version: 1.4.11
Release: alt1.%svndate
License: GPL
Group: System/Servers

Requires: asterisk-initscript
Requires(pre): asterisk-initscript
Requires: asterisk-base-configs
Requires(pre): asterisk-base coreutils
Requires: aelparse = %version-%release

Source: asterisk.tar
Source2: README.ALT

Conflicts: asterisk1.3
Conflicts: seirospbx1.3
Conflicts: seirospbx1.4
Obsoletes: seirospbx1.4

BuildPreReq: libspandsp4-devel = %spandsp

BuildRequires: libtiff-devel
BuildRequires: libMySQL-devel

BuildPreReq: libss7-devel
%if_with odbc
BuildPreReq: libunixODBC-devel libltdl-devel
%endif

# H.323
%if_with h323
BuildPreReq: libopenh323_1.19-devel libpw1.11-devel
BuildPreReq: libSDL-devel libexpat-devel libldap-devel
%endif

Packager: Denis Smirnov <mithraen@altlinux.ru>

BuildPreReq: uw-imap-devel

BuildPreReq: autoconf_2.5 automake_1.9

%if_with snmp
BuildPreReq: librpm-devel libnet-snmp-devel libwrap-devel perl-devel
%endif

BuildPreReq: libgsm-devel

BuildPreReq: libssl-devel

BuildPreReq: gcc-c++ zlib-devel libstdc++-devel
BuildPreReq: libalsa-devel
BuildPreReq: libidn-devel libncurses-devel libnewt-devel libtinfo-devel
BuildPreReq: libogg-devel libvorbis-devel
BuildPreReq: libpopt-devel

%if_with speex
BuildPreReq: libspeex-devel
%endif

BuildPreReq: libreadline-devel libspeex-devel
BuildPreReq: libssl-devel libstdc++-devel libtiff-devel libtinfo-devel libunixODBC-devel

%if_with postgresql
BuildPreReq: postgresql-devel libpq-devel
%endif

BuildRequires: libiksemel-devel
BuildRequires: libradiusclient-ng-devel

%if_with misdn
BuildRequires: libmISDN-devel
%endif

BuildPreReq: tcl-devel
BuildPreReq: zaptel-devel >= 1.3-alt0.7

%if_with curl
BuildRequires: libcurl-devel
%endif

BuildRequires: libdb1-devel
BuildRequires: libilbc-devel

# Needed for E1/T1 support
# Digium change API, but not change soname :-(
BuildRequires: libpri >= 0.3.1-alt4

%package sources
Summary: Open source PBX sources
License: GPL
Group: System/Servers

%description sources
Asterisk is a complete PBX in software. It provides all of the features
you would expect from PBX and more. Asterisk does voice over IP in three
protocols, and can interoperate with almost all standard-based telephony
equipment using relatively inexpensive hardware.

%if_with h323
%package chan_h323
Summary: H.323 channel support for Asterisk
Group: System/Servers
Requires: %name = %version
%oldconflict chan_h323

%description chan_h323
H.323 channel support for Asterisk PBX
%endif

%package format_mp3
License: GPL
Summary: MP3 format for Asterisk
Group: System/Servers
PreReq: %name = %version-%release
%oldconflict format_mp3

%description format_mp3
MP3 format for Asterisk

%package app_conference
Summary: Conference application for SeirosPBX
Group: System/Servers
Requires: %name = %version-%release
Requires(pre): asterisk-base
%oldconflict app_conference

%description app_conference
Conference application for SeirosPBX

%package fax
Summary: FAX send/receive/autodetect support for Asterisk
Requires: libspandsp4 = %spandsp
Requires: %name = %version-%release
Requires: seiros-pbx-fax
Requires(pre): asterisk-base
Group: %group
%oldconflict fax

%description fax
FAX send/receive/autodetect support for Asterisk

%package complete
Summary: All packages built from Asterisk sources
Group: %group
%oldconflict complete

Requires: %name-fax = %version-%release
Requires: %name-app_voicemail = %version-%release
Requires: %name-astman = %version-%release
Requires: %name-cdr_radius = %version-%release
Requires: %name-chan_iax2 = %version-%release
Requires: %name-chan_jingle = %version-%release
%if_with misdn
Requires: %name-chan_misdn = %version-%release
%endif
Requires: %name-chan_sip = %version-%release
Requires: %name-chan_zap = %version-%release
Requires: %name-codec_gsm = %version-%release
Requires: %name-codec_ilbc = %version-%release
Requires: %name-codec_speex = %version-%release
Requires: %name-crypto = %version-%release
Requires: %name-curl = %version-%release
Requires: %name-demo = %version-%release
Requires: %name-devel = %version-%release
Requires: %name-docs = %version-%release
Requires: %name-format_ogg = %version-%release
Requires: %name-httpd = %version-%release
%if_with odbc
Requires: %name-odbc = %version-%release
%endif
Requires: %name-pgsql = %version-%release
Requires: %name-res_crypto = %version-%release
%if_with snmp
Requires: %name-res_snmp = %version-%release
%endif
Requires: %name-sms = %version-%release
Requires: %name-utils = %version-%release
Requires: %name-muted = %version-%release
%if_with h323
Requires: %name-chan_h323 = %version-%release
%endif
Requires: %name-format_mp3 = %version-%release
Requires: %name-app_conference = %version-%release
Requires: %name-fax = %version-%release
Requires: %name-mysql = %version-%release
Requires: %name-sources = %version-%release
Requires: %name-chan_ss7 = %version-%release

%description complete
This virtual package requires all Asterisk subpackages

%package mysql
Summary: Open source PBX
Group: System/Servers
PreReq: %name = %version-%release
%oldconflict mysql

%description mysql
Asterisk is a complete PBX in software. It provides all of the features
you would expect from PBX and more. Asterisk does voice over IP in three
protocols, and can interoperate with almost all standart-based telephony
equipment using relatively inexpensive hardware.

%package devel
Summary: Development files for Asterisk
Group: %group
Conflicts: asterisk1.3-devel
Conflicts: asterisk-devel
%oldconflict devel

%package -n aelparse
Summary: Asterisk AEL2 parser
Group: %group
Conflicts: asterisk1.4 < %version-%release

%description -n aelparse
aelparse utility needed for converting from AEL2 config file to
old extensions.conf format.

%package demo
Requires: %name = %version-%release
Summary: Demo modules for Asterisk
Group: %group
%oldconflict demo

%if_with postgresql
%package pgsql
Requires: %name = %version-%release
Summary: PostgreSQL logging module for Asterisk
Group: %group
%oldconflict pgsql
%endif

%package chan_jingle
Requires: %name = %version-%release
Summary: Jingle channel module for Asterisk
Group: %group
%oldconflict chan_jingle

%description chan_jingle
mISDN channel module for Asterisk

%package utils
Requires: %name = %version-%release
Summary: Small utils useful for some Asterisk users
Group: %group
%oldconflict utils

%description utils
Small utils useful for some Asterisk users

%if_with misdn
%package chan_misdn
Requires: %name = %version-%release
Summary: mISDN channel module for Asterisk
Group: %group
%oldconflict chan_misdn

%description chan_misdn
mISDN channel module for Asterisk
%endif

%package chan_zap
Requires: %name = %version-%release
Summary: ZAP channel module for Asterisk
Group: %group
Requires: %{get_dep libpri}
Requires: zaptel
%oldconflict chan_zap

%description chan_zap
zaptel channel module for Asterisk

%package chan_iax2
Requires: %name = %version-%release
Requires: %name-res_crypto = %version-%release
Summary: IAX2 channel module for Asterisk
Group: %group
%oldconflict chan_iax2

%description chan_iax2
IAX2 channel module for Asterisk

%package chan_sip
Requires: %name = %version-%release
Requires: %name-res_crypto = %version-%release
Summary: SIP channel module for Asterisk
Group: %group
%oldconflict chan_sip

%description chan_sip
SIP channel module for Asterisk

%if_with odbc
%package odbc
Requires: %name = %version-%release
Summary: ODBC logging and config modules for Asterisk
Group: %group
%oldconflict odbc
%endif

%package res_crypto
Requires: %name = %version-%release
Summary: OpenSSL support for Asterisk (crypto)
Group: %group
%oldconflict res_crypto

%package crypto
Requires: %name-res_crypto = %version-%release
Summary: OpenSSL support for Asterisk (crypto)
Group: %group
%oldconflict crypto

%description crypto
res_crypto used by chan_sip and chan_iax2 for crypto support

%description res_crypto
res_crypto used by chan_sip and chan_iax2 for crypto support

%package codec_speex
Requires: %name = %version-%release
Summary: SPEEX codec support for Asterisk
Group: %group
%oldconflict codec_speex

%package astman
Requires: %name = %version-%release
Summary: Text mode manager for Asterisk
Group: %group
%oldconflict astman

%package docs
Summary: asterisk documentation
Group: %group
%oldconflict docs

%description docs
Asterisk documentation and sample files

%if_with snmp
%package res_snmp
Summary: SNMP support for Asterisk
Requires: %name = %version-%release
Group: %group
%oldconflict res_snmp

%description res_snmp
SNMP support for Asterisk
%endif

%description docs
Asterisk documentation and sample files

%if_with curl
%package curl
Requires: %name = %version-%release
Summary: CURL support for Asterisk
Group: %group
%oldconflict curl

%description curl
CURL support for Asterisk
%endif

%package sms
Requires: %name = %version-%release
Summary: SMS over E1 support for Asterisk
Group: %group
%oldconflict sms

%description sms
SMS over E1 support for Asterisk

%package codec_ilbc
Requires: %name = %version-%release
Summary: iLBC codec support for Asterisk
Group: %group
%oldconflict codec_ilbc

%description codec_ilbc
iLBC is very low bitrate codec, that can be effectivly used for IP-telephony

%package format_ogg
Requires: %name = %version-%release
Summary: format_ogg_vorbis support for Asterisk
Group: %group
%oldconflict format_ogg

%package muted
Summary: Mute daemon for Asterisk
Conflicts: muted
Obsoletes: muted
Conflicts: muted1.3
Obsoletes: muted1.3
%oldconflict muted
Group: %group

%description muted
Mute soundcard mixer

%package codec_gsm
Summary: Asterisk GSM 6.10 codec support
Group: %group
Requires: %name = %version-%release
%oldconflict codec_gsm

%description codec_gsm
Asterisk GSM 6.10 codec support

%package app_voicemail
Summary: Asterisk voicemail module
Group: %group
Requires: %name = %version-%release
%oldconflict app_voicemail

%description app_voicemail
VoiceMail for Asterisk

%package cdr_radius
Summary: Asterisk radius CDR support
Group: %group
Requires: %name = %version-%release
%oldconflict cdr_radius

%description cdr_radius
Asterisk radius CDR support

%package chan_ss7
Summary: SS7 channel module for Asterisk
Group: %group
Requires: %name = %version-%release
%oldconflict chan_ss7

%description chan_ss7
SS7 module by Sifira, updated to Asterisk 1.4 by mithraen@

%package httpd
Summary: Asterisk internal static httpd data
Group: %group
Requires: %name = %version-%release
%oldconflict httpd

%description httpd
Asterisk internal static httpd data for monitoring

%description
Asterisk is a complete PBX in software. It provides all of the features
you would expect from PBX and more. Asterisk does voice over IP in three
protocols, and can interoperate with almost all standard-based telephony
equipment using relatively inexpensive hardware.

%description format_ogg
Ogg Vorbis support for MusicOnHold in Asterisk

%description devel
C header files for Asterisk modules development

%description demo
Demo modules for Asterisk

%if_with postgresql
%description pgsql
PostgresSQL logging module for Asterisk
%endif

%description codec_speex
SPEEX codec support for Asterisk PBX

%if_with odbc
%description odbc
ODBC logging and config modules for Asterisk PBX
%endif

%description astman
Astman is a text mode manager for Asterisk.
Astman connects to Asterisk by TCP, so you can run Astman on a completely
different computer than your Asterisk computer.

%prep
%setup -c
pushd asterisk
tar cjf ../%name.tar.bz2 .

subst 's!^[[:space:]]*ASTVARRUNDIR=.*!ASTVARRUNDIR=$(INSTALL_PREFIX)/var/run/asterisk!' Makefile
subst 's!uname -m!echo %_target_cpu!g' */Makefile */*/Makefile Makefile
subst 's!/usr/lib!%_libdir!' main/dlfcn.c

%if_with debug
subst 's!^CFLAGS+=-fPIC!CFLAGS+=-fPIC -pg -g3 -ggdb -I../include -Iinclude!' cdr/Makefile
%endif

pushd main/editline
%__libtoolize --force --copy
popd
popd
%build
pushd asterisk
export CC=gcc

gcc -o zones2indications contrib/utils/zones2indications.c -ltonezone
gcc -o rawplayer	 contrib/utils/rawplayer.c

touch .cleancount
%__autoreconf
./configure --build=%_build_alias --host=%_host_alias \
	--with-zaptel --libdir=%_libdir \
%if_with h323
	--with-h323
%else
	--without-h323
%endif
pushd menuselect
make libdir=%_libdir
popd
make menuselect.makeopts libdir=%_libdir ||:
%make_build defaults.h
build_tools/make_build_h > include/asterisk/build.h
%make_build libdir=%_libdir NOISY_BUILD=yes ||:
%make_build libdir=%_libdir NOISY_BUILD=yes ||:
# This needed, because chan_h323 building is very strange thing
# This is strange thing, because openh323 is ugly thing
make libdir=%_libdir NOISY_BUILD=yes
popd
%install
pushd asterisk
mkdir -p %buildroot%_docdir/%name-%version
install -D -m644 CREDITS UPGRADE.txt BUGS CHANGES README sample.call %buildroot%_docdir/%name-%version/

%make_install DESTDIR=%buildroot install datafiles

mkdir -p %buildroot%_docdir/%name-%version      \
	%buildroot/%_datadir/asterisk/sounds   \
	%buildroot/var/log/asterisk/cdr-csv    \
	%buildroot/var/log/asterisk/cdr-custom \
	%buildroot/var/spool/asterisk/outgoing \
	%buildroot/var/spool/asterisk/fax \
	%buildroot/var/run/asterisk \
	%buildroot/var/lib/asterisk \
	%buildroot%_docdir/%name-%version/samples/

cp configs/muted.conf.sample	%buildroot%_sysconfdir/muted.conf
cp configs/*.sample %buildroot%_docdir/%name-%version/samples/
rename '.sample' '' %buildroot%_docdir/%name-%version/samples//*.sample

install utils/muted						%buildroot%_sbindir/muted
install rawplayer						%buildroot%_bindir/rawplayer
install zones2indications				%buildroot%_bindir/zones2indications

mv %buildroot%_datadir/asterisk/agi-bin/agi-test.agi %buildroot%_docdir/%name-%version/agi-test.agi
rm -f %buildroot%_datadir/asterisk/agi-bin/*
mkdir -p %buildroot/usr/lib/asterisk/agi-bin

for s in aelparse astman muted smsq stereorize streamplayer; do
  mv -f %buildroot/$s %buildroot/%_sbindir/ ||:
done
popd
install -D -m644 %name.tar.bz2 %buildroot%_usrsrc/%name.tar.bz2

cp asterisk/doc/* %buildroot%_docdir/%name-%version/

cp %SOURCE2 %buildroot%_docdir/%name-%version/

%ifarch x86_64
mkdir -p %buildroot%modules_dir
mv %buildroot%_libdir/asterisk/modules/*.so %buildroot%modules_dir/
rmdir %buildroot%_libdir/asterisk/modules
rmdir %buildroot%_libdir/asterisk
%endif

%post
%post_service asterisk

%preun
%preun_service asterisk

%files utils
%attr(0755,root,root) %_bindir/zones2indications
%attr(0755,root,root) %_bindir/rawplayer

%files muted
%attr(0755,root,root) %_sbindir/muted
%attr(0600,root,root) %_sysconfdir/muted.conf
%exclude %_docdir/%name-%version/samples/muted.conf

%files devel
%_includedir/asterisk
%_includedir/asterisk.h

%files demo
%attr(0440,root,_asterisk) %modules_dir/chan_alsa.so
%_docdir/%name-%version/samples/alsa.conf
%attr(0440,root,_asterisk) %modules_dir/chan_oss.so

%if_with odbc
%files odbc
%attr(0440,root,_asterisk) %modules_dir/func_odbc.so
%attr(0440,root,_asterisk) %modules_dir/cdr_odbc.so
%attr(0440,root,_asterisk) %modules_dir/res_odbc.so
%attr(0440,root,_asterisk) %modules_dir/res_config_odbc.so
%_docdir/%name-%version/samples/cdr_odbc.conf
%_docdir/%name-%version/samples/func_odbc.conf
%_docdir/%name-%version/samples/res_odbc.conf
%endif

%if_with postgresql
%files pgsql
%attr(0440,root,_asterisk) %modules_dir/cdr_pgsql.so
%attr(0440,root,_asterisk) %modules_dir/res_config_pgsql.so
%_docdir/%name-%version/samples/cdr_pgsql.conf
%_docdir/%name-%version/samples/res_pgsql.conf
%endif

%files codec_speex
%attr(0440,root,_asterisk) %modules_dir/codec_speex.so

%files astman
%_sbindir/astman
%if_with curl
%files curl
%attr(0440,root,_asterisk) %modules_dir/func_curl.so
%endif

%files sms
# SMS support
%attr(0440,root,_asterisk) %modules_dir/app_sms.so
%_sbindir/smsq

%files format_ogg
%attr(0440,root,_asterisk) %modules_dir/format_ogg_vorbis.so

%files chan_jingle
#attr(0440,root,_asterisk) %modules_dir/chan_jingle.so
%attr(0440,root,_asterisk) %modules_dir/chan_gtalk.so
%attr(0440,root,_asterisk) %modules_dir/res_jabber.so
%_docdir/%name-%version/samples/jabber.conf
#_sysconfdir/asterisk/samples/jingle.conf
%_docdir/%name-%version/samples/gtalk.conf

%files res_crypto
# IAX2 can't work without it
%attr(0440,root,_asterisk) %modules_dir/res_crypto.so

%if_with misdn
%files chan_misdn
%attr(0440,root,_asterisk) %modules_dir/chan_misdn.so
%_docdir/%name-%version/samples/misdn.conf
%else
%exclude %_docdir/%name-%version/samples/misdn.conf
%endif

%files chan_sip
%attr(0440,root,_asterisk) %modules_dir/chan_sip.so
%_docdir/%name-%version/samples/sip.conf
%_docdir/%name-%version/samples/sip_notify.conf
%_docdir/%name-%version/samples/udptl.conf

%files chan_iax2
%attr(0440,root,_asterisk) %modules_dir/chan_iax2.so
%_docdir/%name-%version/samples/iax.conf

%files crypto
%_sbindir/astgenkey

%if_with snmp
%files res_snmp
%attr(0440,root,_asterisk) %modules_dir/res_snmp.so
%_docdir/%name-%version/samples/res_snmp.conf
%endif
%files -n aelparse

%_sbindir/aelparse

%files
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/meetme
%_docdir/%name-%version/README.ALT

# Skinny (aka SCCP) support in Asterisk doesn't work correctly
%exclude %modules_dir/chan_skinny.so
%exclude %_docdir/%name-%version/samples/skinny.conf

### requires tonezone
%attr(0440,root,_asterisk) %modules_dir/app_rpt.so
%attr(0440,root,_asterisk) %modules_dir/app_chanspy.so

### requires zlib
%attr(0440,root,_asterisk) %modules_dir/pbx_dundi.so

%attr(0440,root,_asterisk) %modules_dir/format_g723.so
%attr(0440,root,_asterisk) %modules_dir/app_amd.so
%attr(0440,root,_asterisk) %modules_dir/app_queue.so
%attr(0440,root,_asterisk) %modules_dir/chan_agent.so
%attr(0440,root,_asterisk) %modules_dir/app_meetme.so

# Base codecs
%attr(0440,root,_asterisk) %modules_dir/codec_ulaw.so
%attr(0440,root,_asterisk) %modules_dir/codec_a_mu.so
%attr(0440,root,_asterisk) %modules_dir/codec_alaw.so
%attr(0440,root,_asterisk) %modules_dir/codec_g722.so
%attr(0440,root,_asterisk) %modules_dir/format_pcm.so

%attr(0440,root,_asterisk) %modules_dir/pbx_ael.so
%attr(0440,root,_asterisk) %modules_dir/app_speech_utils.so
%attr(0440,root,_asterisk) %modules_dir/res_speech.so
%attr(0440,root,_asterisk) %modules_dir/res_smdi.so
%attr(0440,root,_asterisk) %modules_dir/app_followme.so
%attr(0440,root,_asterisk) %modules_dir/app_adsiprog.so
%attr(0440,root,_asterisk) %modules_dir/app_festival.so
%attr(0440,root,_asterisk) %modules_dir/app_image.so
%attr(0440,root,_asterisk) %modules_dir/chan_mgcp.so
%attr(0440,root,_asterisk) %modules_dir/chan_phone.so
%attr(0440,root,_asterisk) %modules_dir/app_dictate.so
%attr(0440,root,_asterisk) %modules_dir/app_dumpchan.so
%attr(0440,root,_asterisk) %modules_dir/app_directed_pickup.so
%attr(0440,root,_asterisk) %modules_dir/app_externalivr.so
%attr(0440,root,_asterisk) %modules_dir/app_mixmonitor.so
%attr(0440,root,_asterisk) %modules_dir/app_readfile.so
%attr(0440,root,_asterisk) %modules_dir/app_realtime.so
%attr(0440,root,_asterisk) %modules_dir/app_settransfercapability.so
%attr(0440,root,_asterisk) %modules_dir/app_page.so
%attr(0440,root,_asterisk) %modules_dir/app_stack.so
%attr(0440,root,_asterisk) %modules_dir/app_waitforsilence.so
%attr(0440,root,_asterisk) %modules_dir/app_while.so
%attr(0440,root,_asterisk) %modules_dir/app_morsecode.so
%attr(0440,root,_asterisk) %modules_dir/func_callerid.so
%attr(0440,root,_asterisk) %modules_dir/func_global.so
%attr(0440,root,_asterisk) %modules_dir/func_enum.so
%attr(0440,root,_asterisk) %modules_dir/func_uri.so
%attr(0440,root,_asterisk) %modules_dir/func_rand.so
%attr(0440,root,_asterisk) %modules_dir/func_base64.so
%attr(0440,root,_asterisk) %modules_dir/func_channel.so
%attr(0440,root,_asterisk) %modules_dir/func_cut.so
%attr(0440,root,_asterisk) %modules_dir/func_db.so
%attr(0440,root,_asterisk) %modules_dir/func_env.so
%attr(0440,root,_asterisk) %modules_dir/func_groupcount.so
%attr(0440,root,_asterisk) %modules_dir/func_language.so
%attr(0440,root,_asterisk) %modules_dir/func_logic.so
%attr(0440,root,_asterisk) %modules_dir/func_math.so
%attr(0440,root,_asterisk) %modules_dir/func_shell.so
%attr(0440,root,_asterisk) %modules_dir/func_md5.so
%attr(0440,root,_asterisk) %modules_dir/func_sha1.so
%attr(0440,root,_asterisk) %modules_dir/func_moh.so
%attr(0440,root,_asterisk) %modules_dir/func_realtime.so
%attr(0440,root,_asterisk) %modules_dir/func_strings.so
%attr(0440,root,_asterisk) %modules_dir/func_timeout.so
%attr(0440,root,_asterisk) %modules_dir/func_module.so
%attr(0440,root,_asterisk) %modules_dir/app_alarmreceiver.so
%attr(0440,root,_asterisk) %modules_dir/app_authenticate.so
%attr(0440,root,_asterisk) %modules_dir/app_cdr.so
%attr(0440,root,_asterisk) %modules_dir/app_chanisavail.so
%attr(0440,root,_asterisk) %modules_dir/app_controlplayback.so
%attr(0440,root,_asterisk) %modules_dir/app_db.so
%attr(0440,root,_asterisk) %modules_dir/app_directory.so
%attr(0440,root,_asterisk) %modules_dir/app_disa.so
%attr(0440,root,_asterisk) %modules_dir/app_echo.so
%attr(0440,root,_asterisk) %modules_dir/app_exec.so
%attr(0440,root,_asterisk) %modules_dir/app_flash.so
%attr(0440,root,_asterisk) %modules_dir/app_getcpeid.so
%attr(0440,root,_asterisk) %modules_dir/app_lookupblacklist.so
%attr(0440,root,_asterisk) %modules_dir/app_lookupcidname.so
%attr(0440,root,_asterisk) %modules_dir/app_macro.so
%attr(0440,root,_asterisk) %modules_dir/app_milliwatt.so
%attr(0440,root,_asterisk) %modules_dir/app_channelredirect.so
%attr(0440,root,_asterisk) %modules_dir/app_parkandannounce.so
%attr(0440,root,_asterisk) %modules_dir/app_playback.so
%attr(0440,root,_asterisk) %modules_dir/app_privacy.so
%attr(0440,root,_asterisk) %modules_dir/app_random.so
%attr(0440,root,_asterisk) %modules_dir/app_read.so
%attr(0440,root,_asterisk) %modules_dir/app_record.so
%attr(0440,root,_asterisk) %modules_dir/app_sayunixtime.so
%attr(0440,root,_asterisk) %modules_dir/app_senddtmf.so
%attr(0440,root,_asterisk) %modules_dir/app_sendtext.so
%attr(0440,root,_asterisk) %modules_dir/app_setcallerid.so
%attr(0440,root,_asterisk) %modules_dir/app_softhangup.so
%attr(0440,root,_asterisk) %modules_dir/app_system.so
%attr(0440,root,_asterisk) %modules_dir/app_talkdetect.so
%attr(0440,root,_asterisk) %modules_dir/app_test.so
%attr(0440,root,_asterisk) %modules_dir/app_transfer.so
%attr(0440,root,_asterisk) %modules_dir/app_url.so
%attr(0440,root,_asterisk) %modules_dir/app_userevent.so
%attr(0440,root,_asterisk) %modules_dir/app_verbose.so
%attr(0440,root,_asterisk) %modules_dir/app_waitforring.so

# CDR
%attr(0440,root,_asterisk) %modules_dir/cdr_csv.so
%attr(0440,root,_asterisk) %modules_dir/cdr_custom.so
%attr(0440,root,_asterisk) %modules_dir/cdr_manager.so
%attr(0440,root,_asterisk) %modules_dir/app_setcdruserfield.so
%attr(0440,root,_asterisk) %modules_dir/func_cdr.so
%attr(0440,root,_asterisk) %modules_dir/app_forkcdr.so

# ADPCM/G.726 also rarely used
%attr(0440,root,_asterisk) %modules_dir/codec_adpcm.so
%attr(0440,root,_asterisk) %modules_dir/format_vox.so

%attr(0440,root,_asterisk) %modules_dir/codec_g726.so
%attr(0440,root,_asterisk) %modules_dir/format_g726.so

# LPC10 -- rarely needed codec
%attr(0440,root,_asterisk) %modules_dir/codec_lpc10.so

# video rarely used with Asterisk
%attr(0440,root,_asterisk) %modules_dir/format_h263.so
%attr(0440,root,_asterisk) %modules_dir/format_h264.so
%attr(0440,root,_asterisk) %modules_dir/format_jpeg.so

%attr(0440,root,_asterisk) %modules_dir/chan_features.so
%attr(0440,root,_asterisk) %modules_dir/pbx_loopback.so
%attr(0440,root,_asterisk) %modules_dir/pbx_realtime.so
%attr(0440,root,_asterisk) %modules_dir/res_adsi.so
%attr(0440,root,_asterisk) %modules_dir/res_features.so
%attr(0440,root,_asterisk) %modules_dir/res_monitor.so
%attr(0440,root,_asterisk) %modules_dir/res_convert.so
%attr(0440,root,_asterisk) %modules_dir/res_clioriginate.so

# without 'Dial' asterisk can work in answer-only mode...
%attr(0440,root,_asterisk) %modules_dir/app_dial.so

# Main channel types support
%attr(0440,root,_asterisk) %modules_dir/chan_local.so

# G.729
%attr(0440,root,_asterisk) %modules_dir/format_g729.so

# PCM codecs
%attr(0440,root,_asterisk) %modules_dir/format_sln.so
%attr(0440,root,_asterisk) %modules_dir/format_wav.so

%attr(0440,root,_asterisk) %modules_dir/pbx_config.so
%attr(0440,root,_asterisk) %modules_dir/pbx_spool.so
%attr(0440,root,_asterisk) %modules_dir/res_agi.so
%attr(0440,root,_asterisk) %modules_dir/res_indications.so
%attr(0440,root,_asterisk) %modules_dir/res_musiconhold.so

# you must use format_mp3.so
%exclude %attr(0440,root,_asterisk) %modules_dir/app_mp3.so

# silly
%attr(0440,root,_asterisk) %modules_dir/app_ices.so
%attr(0440,root,_asterisk) %modules_dir/app_nbscat.so

%attr(0440,root,_asterisk) %modules_dir/res_limit.so
%attr(0440,root,_asterisk) %modules_dir/app_segfault.so
%attr(0440,root,_asterisk) %modules_dir/app_mwanalyze.so

# not needed (we have own support)
%exclude %_sbindir/autosupport
# non needed -- we use our initscript
%exclude %_sbindir/safe_asterisk

%attr(0770,root,_asterisk) %dir %_sysconfdir/asterisk
%exclude %_docdir/%name-%version/samples/cdr_pgsql.conf
%dir %_docdir/%name-%version
%dir /usr/lib/asterisk
%dir %modules_dir

%_sbindir/asterisk
%_sbindir/rasterisk
%_sbindir/stereorize
%_sbindir/streamplayer

%_man8dir/*
%dir %attr(3770,root,_asterisk) /var/lib/asterisk
%attr(3750,root,_asterisk) %_datadir/asterisk/sounds
%attr(0750,root,_asterisk) /usr/lib/asterisk/agi-bin
%attr(0750,root,_asterisk) %_datadir/asterisk/firmware
%attr(0750,root,_asterisk) %_datadir/asterisk/images
%attr(0750,root,_asterisk) %_datadir/asterisk/keys
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/dictate
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/monitor
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/outgoing
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/system
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/tmp
%dir %attr(3770,root,_asterisk) /var/log/asterisk
%dir %attr(3770,root,_asterisk) /var/log/asterisk/cdr-csv
%dir %attr(3770,root,_asterisk) /var/log/asterisk/cdr-custom
%dir %attr(3770,root,_asterisk) /var/spool/asterisk
%dir %attr(3770,root,_asterisk) /var/run/asterisk

%files chan_zap
%attr(0440,root,_asterisk) %modules_dir/chan_zap.so
%attr(0440,root,_asterisk) %modules_dir/codec_zap.so
%attr(0440,root,_asterisk) %modules_dir/app_zapateller.so
%attr(0440,root,_asterisk) %modules_dir/app_zapbarge.so
%attr(0440,root,_asterisk) %modules_dir/app_zapscan.so
%attr(0440,root,_asterisk) %modules_dir/app_zapras.so
%_docdir/%name-%version/samples/zapata.conf

%files httpd
%_docdir/%name-%version/samples/http.conf
%_datadir/asterisk/static-http/ajamdemo.html
%_datadir/asterisk/static-http/astman.css
%_datadir/asterisk/static-http/astman.js
%_datadir/asterisk/static-http/prototype.js

%files docs
%dir %_docdir/%name-%version
%attr(0755,root,root) %dir %_docdir/%name-%version/samples
%attr(0644,root,root) %_docdir/%name-%version/sample.call
%attr(0644,root,root) %_docdir/%name-%version/BUGS
%attr(0644,root,root) %_docdir/%name-%version/00README.1st
%attr(0644,root,root) %_docdir/%name-%version/CHANGES
%attr(0644,root,root) %_docdir/%name-%version/CODING-GUIDELINES
%attr(0644,root,root) %_docdir/%name-%version/PEERING
%attr(0644,root,root) %_docdir/%name-%version/README
%attr(0644,root,root) %_docdir/%name-%version/UPGRADE.txt
%attr(0644,root,root) %_docdir/%name-%version/asterisk.sgml
%_docdir/%name-%version/*.txt
%_docdir/%name-%version/CREDITS
%_docdir/%name-%version/sla.pdf
%_docdir/%name-%version/sla.tex

%_docdir/%name-%version/samples/amd.conf
%_docdir/%name-%version/samples/users.conf
%_docdir/%name-%version/samples/queues.conf
%_docdir/%name-%version/samples/sla.conf
%_docdir/%name-%version/samples/agents.conf
%_docdir/%name-%version/samples/meetme.conf
%_docdir/%name-%version/samples/extensions.ael
%_docdir/%name-%version/samples/smdi.conf
%_docdir/%name-%version/samples/followme.conf
%_docdir/%name-%version/samples/mgcp.conf
%_docdir/%name-%version/samples/rpt.conf

%_docdir/%name-%version/samples/rtp.conf
%_docdir/%name-%version/samples/adsi.conf
%_docdir/%name-%version/samples/adtranvofr.conf
%_docdir/%name-%version/samples/alarmreceiver.conf
%_docdir/%name-%version/samples/cdr.conf
%_docdir/%name-%version/samples/cdr_custom.conf
%_docdir/%name-%version/samples/cdr_manager.conf
%exclude %_docdir/%name-%version/samples/cdr_tds.conf
%_docdir/%name-%version/samples/codecs.conf
%_docdir/%name-%version/samples/dnsmgr.conf
%_docdir/%name-%version/samples/dundi.conf
%_docdir/%name-%version/samples/enum.conf
%_docdir/%name-%version/samples/extconfig.conf
%_docdir/%name-%version/samples/extensions.conf
%_docdir/%name-%version/samples/features.conf
%_docdir/%name-%version/samples/festival.conf
%_docdir/%name-%version/samples/iaxprov.conf
%exclude %_docdir/%name-%version/samples/indications.conf
%_docdir/%name-%version/samples/logger.conf
%_docdir/%name-%version/samples/manager.conf
%_docdir/%name-%version/samples/modules.conf
%_docdir/%name-%version/samples/musiconhold.conf
%_docdir/%name-%version/samples/osp.conf
%_docdir/%name-%version/samples/oss.conf
%_docdir/%name-%version/samples/phone.conf
%_docdir/%name-%version/samples/privacy.conf
%_docdir/%name-%version/samples/say.conf
%_docdir/%name-%version/samples/vpb.conf
%exclude %_docdir/%name-%version/samples/modem.conf

%files app_voicemail
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/voicemail
%attr(0440,root,_asterisk) %modules_dir/app_hasnewvoicemail.so
%attr(0440,root,_asterisk) %modules_dir/app_voicemail.so
%_docdir/%name-%version/samples/voicemail.conf

%files codec_gsm
%attr(0440,root,_asterisk) %modules_dir/format_gsm.so
%attr(0440,root,_asterisk) %modules_dir/format_wav_gsm.so
%attr(0440,root,_asterisk) %modules_dir/codec_gsm.so

%files codec_ilbc
%attr(0440,root,_asterisk) %modules_dir/codec_ilbc.so
%attr(0440,root,_asterisk) %modules_dir/format_ilbc.so


%files cdr_radius
%attr(0440,root,_asterisk) %modules_dir/cdr_radius.so

%files fax
%dir %attr(3770,root,_asterisk) /var/spool/asterisk/fax
%attr(0440,root,_asterisk) %modules_dir/app_rxfax.so
%attr(0440,root,_asterisk) %modules_dir/app_txfax.so
%attr(0440,root,_asterisk) %modules_dir/app_nv_faxdetect.so
%attr(0440,root,_asterisk) %modules_dir/app_nv_backgrounddetect.so

%files app_conference
%attr(0440,root,_asterisk) %modules_dir/app_conference.so

%files mysql
%attr(0440,root,_asterisk) %modules_dir/app_addon_sql_mysql.so
%attr(0440,root,_asterisk) %modules_dir/res_config_mysql.so
%attr(0440,root,_asterisk) %modules_dir/cdr_addon_mysql.so

%files format_mp3
%attr(0440,root,_asterisk) %modules_dir/format_mp3.so

%if_with h323
%files chan_h323
%attr(0440,root,_asterisk) %modules_dir/chan_h323.so
%attr(0444,root,_asterisk) %_docdir/%name-%version/samples/h323.conf
%endif

%files sources
%_usrsrc/%name.tar.bz2

%files chan_ss7
%modules_dir/chan_ss7.so

%files complete
%changelog
* Thu Aug 23 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.11-alt1.20070713
- Upstream update
- CVE-2007-4455

* Fri Aug 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.10-alt1.20070713
- Upstream update
- ASA-2007-019 -  Skinny channel driver DoS
- multiple bugfixes

* Tue Jul 17 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.7-alt1.20070713
- Upstream update
- CVE-2007-3763 - NULL pointer in IAX2
- CVE-2007-3764 - Skinny channel code memcpy
- CVE-2007-3765 - integer underflow in RTP

* Fri Jul 13 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt4.20070713
- Upstream update

* Sun Jul 08 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt4.20070708
- Upstream update
- Use spandsp4 20070708

* Mon Jun 11 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt4.20070611
- Upstream update
- Multiple fixes in IAX2 channel module
- Update app_conference

* Sun May 20 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt4.20070520
- Upstream update

* Mon May 14 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt4.20070514
- Upstream update
- Move aelparse to separate package (enp@)
- Use libspandsp4

* Thu May 03 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt4.20070503
- Upstream update
- Remove requires to zaptel-seiros
- Move zaptel requires to %name-chan_zap
- Update asterisk-addons (MySQL module)
- Add some more documentation to %name-docs
- set correct target (not build as i686 if builded for i586) (sbolshakov@)
- import some fixes from Digium bugtracker

* Wed May 02 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt4.20070429
- set correct target (not build as i686 if builded for i586) (sbolshakov@)

* Mon Apr 30 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt3.20070429
- and, I think, really fix x86_64 build

* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt2.20070429
- second try to fix x86_64 build

* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt1.20070429
- upstream update
- try to fix x86_64 (move modules to /usr/lib instead of %%_libdir)

* Fri Apr 27 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.2-alt3.20070409
- rebuild with new libspandsp

* Sat Apr 14 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.2-alt2.20070409
- fix documentation packaging

* Thu Apr 12 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.2-alt1.20070409
- try to fix building with mISDN at x86_64

* Mon Apr 09 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.2-alt0.20070409
- upstream update
- fixed files and directory access rights (thanks to ldv@ and sbolshakov@)

* Thu Mar 22 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.2-alt0.20070322
- upstream update
- fixed DoS in RFC2833 processing (SIP)

* Fri Mar 16 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.1-alt0.20070326
- upstream update (minor fix in chan_sip)

* Fri Mar 09 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.1-alt0.20070309
- upstream update
- some fixes in chan_ss7

* Mon Mar 05 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.1-alt0.20070305
- upstream update
- critical sercurity fix (exploitable bug in SIP channel)
- reenabled snmp build

* Mon Feb 26 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070226
- upstream update
- temporary not build H.323 support

* Sun Feb 18 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070218
- upstream update 

* Mon Feb 12 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070212
- upstream update

* Thu Feb 01 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070201
- multiple bugfixes from upstream

* Sun Jan 28 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070128
- multiple bugfixes from upstream
- reenable H.323 support in x86_64 build

* Sun Jan 14 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070114
- minor bug fixes from upstream
- support more then 256 channels in chan_ss7

* Thu Jan 11 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070111
- minor bug fixes from upstream
- multiple small backports from trunk

* Tue Jan 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070110
- minor bug fixes from upstream

* Wed Jan 03 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20070103
- minor bug fixes from upstream

* Fri Dec 29 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20061229
- minor bug fixes from upstream
- Cisco buggy MWI support

* Wed Dec 27 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1.20061227
- minor bug fixes

* Sat Dec 23 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt1
- Based on Asterisk 1.4.0 release

* Thu Dec 21 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061221
- multiple bugfixes for chan_iax2
- G.722 codec added (before we have only G.722 transit support)
- rediff patches

* Fri Dec 15 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061215
- upstream update

* Fri Dec 08 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061208
- multiple bugfixes from 1.4 branch

* Sat Dec 02 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061202
- multiple bugfixes from 1.4 branch
- backport some fixes for doxygen docs
- backport showing jitterbuffer info in 'sip show peer'
- backport maxlimit asterisk.conf option

* Fri Dec 01 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061201
- multiple bugfixes from 1.4 branch

* Sun Nov 26 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061127
- update

* Sun Nov 26 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061126
- fixes for func_cdr doxygen doc

* Sat Nov 25 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061125
- multiple bugfixes from 1.4 branch

* Tue Nov 21 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061121
- multiple bugfixes from 1.4 branch

* Thu Nov 16 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061116
- multiple bugfixes from 1.4 branch

* Thu Nov 09 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061109
- multiple bugfixes from 1.4 branch
- add conflicts for old packages

* Wed Nov 01 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061101
- fix some deadlocks in chan_iax2 (but not all)
- fix func_enum
- added support for translators activation/deactivation

* Tue Oct 31 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061031
- multiple bugfixes from 1.4 branch
- not requires asterisk-sounds-en (for simple gateways)

* Fri Oct 27 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061027
- multiple bugfixes from 1.4 branch
- added chan_ss7 (channel from Sifira updated to 1.4 by mithraen@)

* Tue Oct 24 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061024
- multiple bugfixes from 1.4 branch
- update used libspandsp3 version (many fixes for app_rxfax/app_txfax)

* Sat Oct 21 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061021
- multiple bugfixes from 1.4 branch
- backport res_limit from svn head
- backport VERSION function from svn head

* Wed Oct 18 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061018
- svn update

* Sat Oct 14 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061014
- multiple bugfixes from svn 1.4 branch

* Wed Oct 11 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061011
- svn update

* Sat Oct 07 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20061007
- svn update

* Thu Sep 28 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20060928
- svn update

* Fri Sep 22 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.0-alt0.20060922
- svn update

* Thu Sep 21 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060921
- svn update

* Wed Sep 20 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060920
- svn update

* Sun Sep 17 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060917
- svn update

* Sat Sep 16 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060916
- svn update

* Fri Sep 15 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060915
- svn update

* Thu Sep 14 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060914
- svn update

* Wed Sep 13 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060913
- svn update

* Tue Sep 12 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2.20060912
- svn update

* Sat Sep 09 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt2
- add app_conference

* Sat Sep 09 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt1.20060909
- svn update

